/**
 * 账号管理
 */

/**
 * [index 账号列表]
 * @param  {[type]} data [description]
 * @return {[type]}      [description]
 */
export function index(data) {
  return service.get('api/accounts/index', { params: data });
}

/**
 * [create 创建账号]
 * @param  {[type]} data [description]
 * @return {[type]}      [description]
 */
export function create(data) {
  return serviceForm.post('api/accounts/create', data);
}

/**
 * [update 修改账号]
 * @param  {[type]} data [description]
 * @param  {[type]} id   [角色id]
 * @return {[type]}      [description]
 */
export function update(data, id) {
  return serviceForm.post(`api/accounts/update/${id}`, data);
}

/**
 * [destroy 删除账号]
 * @param  {[type]} data [description]
 * @return {[type]}      [description]
 */
export function destroy(data) {
  return service.post('api/accounts/destroy', data);
}
